QA@IT
«質問へ戻る

質問を投稿

eclipse(ADT)の起動ができない

eclipse(ADT)が起動できずに困っています.

実は以前にeclipse(ADT)を使用していたのですが誤ってデータを消したことで挙動がおかしくなり
諦めて一旦アンインストールして再度インストールしようとしたのですが,
ポップアウトにて
The Eclipse executable launcher was unable to locate its
companion shared library.
というエラーメッセージが出て起動しません.

ログファイルを見ても対処法がよくわからず行き詰っています.
ターミナルでエラーメッセージを確認したところ
An error has occurred. See the log file
/usr/local/android/adt/eclipse/configuration/1407175491542.log.
という文が出たので以下にそのログを示します.

cat configuration/1407175491542.log

!SESSION 2014-08-05 03:04:51.136 -----------------------------------------------
eclipse.buildId=M20130204-1200
java.version=1.6.0_31
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=ja_JP
Framework arguments: -product com.android.ide.eclipse.adt.package.adtproduct
Command-line arguments: -os linux -ws gtk -arch x86_64 -product com.android.ide.eclipse.adt.package.adtproduct

!ENTRY org.eclipse.osgi 4 0 2014-08-05 03:04:54.137
!MESSAGE Application error
!STACK 1
org.eclipse.swt.SWTError: No more handles [gtk_init_check() failed]
at org.eclipse.swt.SWT.error(SWT.java:4387)
at org.eclipse.swt.widgets.Display.createDisplay(Display.java:914)
at org.eclipse.swt.widgets.Display.create(Display.java:900)
at org.eclipse.swt.graphics.Device.(Device.java:156)
at org.eclipse.swt.widgets.Display.(Display.java:498)
at org.eclipse.swt.widgets.Display.(Display.java:489)
at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:669)
at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:161)
at org.eclipse.ui.internal.ide.application.IDEApplication.createDisplay(IDEApplication.java:154)
at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:96)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:353)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:180)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:622)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
at org.eclipse.equinox.launcher.Main.main(Main.java:1414)

アンインストールの際には以前のインストールディレクトリを削除しワークスペースも削除した上で
別の場所に新たなインストールディレクトリを置き,そこにインストールしました.
またeclipse.iniの-javaagentの記載もフルパスで記載してあります.

それまでは正常に動作しており,触っていたのはeclipseがほとんどだったので
いきなりeclipse起動に必要なソフトが無くなったとは考えにくいと思うのですが‥
https://forums.alfresco.com/ja/node/62606
こちらでも似たようなエラーの質問がされていますが
具体的な解決策が出ていないようで自力ではこれ以上進めないと感じています.

どなたかご享受お願いいたします.

java -version

java version "1.6.0_31"
OpenJDK Runtime Environment (IcedTea6 1.13.3) (6b31-1.13.3-1ubuntu1~0.13.10.1)
OpenJDK 64-Bit Server VM (build 23.25-b01, mixed mode)

javac -version

javac 1.6.0_31

eclipse(ADT)が起動できずに困っています.

実は以前にeclipse(ADT)を使用していたのですが誤ってデータを消したことで挙動がおかしくなり
諦めて一旦アンインストールして再度インストールしようとしたのですが,
ポップアウトにて
The Eclipse executable launcher was unable to locate its 
companion shared library.
というエラーメッセージが出て起動しません.

ログファイルを見ても対処法がよくわからず行き詰っています.
ターミナルでエラーメッセージを確認したところ
An error has occurred. See the log file
/usr/local/android/adt/eclipse/configuration/1407175491542.log.
という文が出たので以下にそのログを示します.

# cat configuration/1407175491542.log 
!SESSION 2014-08-05 03:04:51.136 -----------------------------------------------
eclipse.buildId=M20130204-1200
java.version=1.6.0_31
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=ja_JP
Framework arguments:  -product com.android.ide.eclipse.adt.package.adtproduct
Command-line arguments:  -os linux -ws gtk -arch x86_64 -product com.android.ide.eclipse.adt.package.adtproduct

!ENTRY org.eclipse.osgi 4 0 2014-08-05 03:04:54.137
!MESSAGE Application error
!STACK 1
org.eclipse.swt.SWTError: No more handles [gtk_init_check() failed]
	at org.eclipse.swt.SWT.error(SWT.java:4387)
	at org.eclipse.swt.widgets.Display.createDisplay(Display.java:914)
	at org.eclipse.swt.widgets.Display.create(Display.java:900)
	at org.eclipse.swt.graphics.Device.<init>(Device.java:156)
	at org.eclipse.swt.widgets.Display.<init>(Display.java:498)
	at org.eclipse.swt.widgets.Display.<init>(Display.java:489)
	at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:669)
	at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:161)
	at org.eclipse.ui.internal.ide.application.IDEApplication.createDisplay(IDEApplication.java:154)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:96)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:353)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:180)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:622)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1414)


アンインストールの際には以前のインストールディレクトリを削除しワークスペースも削除した上で
別の場所に新たなインストールディレクトリを置き,そこにインストールしました.
またeclipse.iniの-javaagentの記載もフルパスで記載してあります.

それまでは正常に動作しており,触っていたのはeclipseがほとんどだったので
いきなりeclipse起動に必要なソフトが無くなったとは考えにくいと思うのですが‥
https://forums.alfresco.com/ja/node/62606
こちらでも似たようなエラーの質問がされていますが
具体的な解決策が出ていないようで自力ではこれ以上進めないと感じています.

どなたかご享受お願いいたします.


# java -version
java version "1.6.0_31"
OpenJDK Runtime Environment (IcedTea6 1.13.3) (6b31-1.13.3-1ubuntu1~0.13.10.1)
OpenJDK 64-Bit Server VM (build 23.25-b01, mixed mode)

# javac -version
javac 1.6.0_31